<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ShowCommitErrorsDlg Method (IEdmBatchDelete)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchDelete Interface : ShowCommitErrorsDlg Method (IEdmBatchDelete)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle for the dialog box

Shows a dialog box containing the errors that occurred during IEdmBatchDelete::CommitDelete.

# Syntax

Visual Basic |
--- | ---

    Sub ShowCommitErrorsDlg( _
       ByVal hParentWnd As System.Integer _
    )

C# |
--- | ---

    void ShowCommitErrorsDlg(
       System.int hParentWnd
    )

C++/CLI |
--- | ---

    void ShowCommitErrorsDlg(
    &   System.int hParentWnd
    )

#### Parameters

hParentWnd
  Parent window handle for the dialog box

# Example

See the IEdmBatchDelete examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_NOT_INITIALIZED: IEdmBatchDelete::CommitDelete has not been called.

# See Also

####

IEdmBatchDelete Interface
IEdmBatchDelete Members

# Availability

SOLIDWORKS PDM Professional 2008